# Warn::Deprecated [![CircleCI](https://circleci.com/gh/taki/warn-deprecated.svg?style=svg)](https://circleci.com/gh/taki/warn-deprecated)

This gem makes it easy to display warnings with deprecated methods.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'warn-deprecated'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install warn-deprecated

## Usage

```ruby
class Klass
  extend Warn::Deprecated

  deprecated :new_method, :old_method

  def old_method
    'old_method'
  end

  def new_method
    'new_method'
  end
end
```

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Warn::Deprecated project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/taki/warn-deprecated/blob/master/CODE_OF_CONDUCT.md).
